/* 
  Test3ds.java
  This class demonstrates the use of mri.v3ds to parse a .3ds file.
*/

import java.io.*;
import mri.v3ds.*;

public class Test3ds {
  
  public static void main(String[] args) throws InterruptedException
  {
    if (args.length < 1) {
      System.out.println("Usage: java " + "Test3ds" + " 3DS_input_filename " );
      System.out.println("       e.g.  java Test3ds  ../data/objects.3ds ");
      System.exit(-1);
    }
    TextDecode3ds decode = new TextDecode3ds(); 
    try {
        File f = new File ( args[0] );
        Scene3ds scene = new Scene3ds( f, decode, 2 );
    } catch ( Exception3ds e ) {}   
    System.out.printf ( "%s\n", decode.text() );
  
    return;
  }    
}
